MONGOC_COLLECTION_VALIDATE(3)

NAME
mongoc_collection_validate - mongoc_collection_validate()

WARNING: Deprecated since version 1.10.0: This helper function is deprecated and should not be used in new code. Run the validate command directly with mongoc_client_read_command_with_opts() instead.

SYNOPSIS

bool
mongoc_collection_validate (mongoc_collection_t *collection,
                            const bson_t *options,
                            bson_t *reply,
                            bson_error_t *error) BSON_GNUC_DEPRECATED;

PARAMETERS

•   collection: A mongoc_collection_t.

•   options: A bson_t.

•   reply: An optional location for a bson_t.

•   error: An optional location for a bson_error_t or NULL.

DESCRIPTION

This function is a helper function to execute the validate MongoDB command.

Currently, the only supported options are full, which is a boolean and scandata, also a boolean.

See the MongoDB documentation for more information on this command.

ERRORS

Errors are propagated via the error parameter.

RETURNS

Returns true if successful. Returns false and sets error if there are invalid arguments or a server or network error.

reply is always initialized if it's not NULL and must be destroyed with bson_destroy().

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc